# How to Add Your Token to the Panora Token List

1. **Fork the Repository**\
   Start by forking the Panora [Aptos-Tokens GitHub repo](https://github.com/PanoraExchange/Aptos-Tokens).\ <br>
2. **Add Token Icon**\
   In your forked repository, upload the token’s icon file (token\_symbol.svg) to the [logos](https://github.com/PanoraExchange/Aptos-Tokens/tree/main/logos) folder. Ensure it's \~100x100 pixels in .png format and has a unique symbol not used by any existing token.\ <br>
3. **Add Token Information**\
   At the end of the submit-token-request.ts file, add a SubmitTokenRequestInfo object with the following details:<br>

   **SubmitTokenRequestInfo**

   * **chainId:** The chain ID to which the token belongs (default is 1 for Mainnet)
   * **tokenAddress:** The complete address of the token as per the Aptos Coin Standard (Legacy)
   * **faAddress:** The complete address of the token as per the Aptos Fungible Asset (FA) Standard
   * **name:** The on-chain registered name of the token
   * **symbol:** The on-chain registered symbol of the token
   * **decimals:** The number of decimal places of the token
   * **logoUrl:** The URL of the token’s logo (add it to the [logos](https://github.com/PanoraExchange/Aptos-Tokens/tree/main/logos) folder first to get the correct URL)
   * **websiteUrl:** The official website URL of the token (optional but recommended)
   * **coinGeckoId:** The CoinGecko ID of the token (optional)
   * **coinMarketCapId:** The CoinMarketCap ID of the token (optional)

   **Example:**&#x20;

```json
  {
    "chainId": 1,
    "tokenAddress": "0x1::aptos_coin::AptosCoin",
    "faAddress": "0xa",
    "name": "Aptos Coin",
    "symbol": "APT",
    "decimals": 8,
    "logoUrl": "https://raw.githubusercontent.com/PanoraExchange/Aptos-Tokens/main/logos/APT.svg",
    "websiteUrl": "https://aptosfoundation.org",
    "coinGeckoId": "aptos",
    "coinMarketCapId": 21794,
  }
```

4. **Commit Changes**\
   Save and commit your changes with a clear and descriptive message explaining the modifications.\ <br>
5. **Create a Pull Request**\
   Navigate to your forked repository, open a pull request, and submit it for review. Make sure to select the base repository as [Aptos-Tokens](https://github.com/PanoraExchange/Aptos-Tokens/tree/main) and branch as [main](https://github.com/PanoraExchange/Aptos-Tokens/tree/main) for merging your changes.\ <br>
6. **Attestation tweet** \
   Post an attestation tweet from your official X (Twitter) account to complete the verification steps. Be sure to tag **@PanoraExchange** in your tweet to notify both your community and Panora of your request.&#x20;

\
**Important Reminder:** Tokens don’t need to have a Verified or Recognized label to be tradable. All tokens are automatically and instantly available for trading on Panora and all of its integrator partners and can be accessed by using the complete token address.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panora.exchange/developer/token-list/how-to-add-your-token-to-the-panora-token-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
